## bmf 0.9.4

=== debian/changelog ===
bmf (0.9.4-14) unstable; urgency=medium

  * QA upload.
  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/copyright: updated packaging copyright information.
  * debian/patches/50-fix-ftbfs-gcc-14.patch: added to fix FTBFS on GCC 14.
    (Closes: #1074850)
  * debian/rules: removed unnecessary lines.
  * debian/watch: bumped to version 4.

 -- David da Silva Polverari <polverari@debian.org>  Fri, 28 Mar 2025 13:27:31 +0000

bmf (0.9.4-13) unstable; urgency=medium

  * QA upload.
  * debian/: Apply "wrap-and-sort -abst".
  * debian/control:
    + Bump Standards-Version to 4.6.1.
    + Migrate packaging repo from alioth to salsa.
  * debian/rules: Correctly export buildflags.
  * debian/tests/control: Mark tests as superficial. (Closes: #970947)
  * debian/upstream/metadata: Dropped, not useful at all.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Oct 2022 15:06:53 -0400

bmf (0.9.4-12) unstable; urgency=medium

  * QA upload.
  * debian/control: added 'Rules-Requires-Root: no' to source stanza.
  * debian/copyright: using a secure URI in Format field.
  * debian/rules: removed no longer needed variable DEB_LDFLAGS_MAINT_APPEND.
  * debian/tests/control: created to perform trivial CI tests.

 -- Tiago Henrique Vercosa de Lima <tiago.vercosa@gmail.com>  Mon, 18 May 2020 14:45:35 -0300

bmf (0.9.4-11) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #920054)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.5.0.

 -- Tiago Henrique Vercosa de Lima <tiago.vercosa@gmail.com>  Sat, 09 May 2020 15:30:36 -0300

bmf (0.9.4-10) unstable; urgency=medium

  * debian/copyright
    - (Source): Update to Sourceforge.
  * debian/control
    - (Homepage): Update to Sourceforge.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 18 Oct 2016 17:23:41 +0300

bmf (0.9.4-9) unstable; urgency=low

  * debian/patches
    - (30): Revise. Instead of PATH_MAX allocate the exact amount of
      memory that is needed (FTBFS hurd; Closes: #674825). Patch thanks to
      Cyril Roelandt <tipecaml@gmail.com>.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 28 May 2012 08:21:40 +0300

bmf (0.9.4-8) unstable; urgency=low

  * debian/control
    - (Build-Depends): Rm libdb5.1; would block upgrades (Closes: #669001).
      Patch thanks to Ondřej Surý <ondrej@debian.org>.
  * debian/copyright
    - Update to format 1.0.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 16 Apr 2012 16:55:29 +0300

bmf (0.9.4-7) unstable; urgency=low

  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
    - (standards-Version): Update to 3.9.3.1.
  * debian/rules
     - Enable all hardening flags.
     - Use DEB_*_MAINT_* variables (Closes: #665192). Patch thanks to
       Simon Ruderich <simon@ruderich.org>.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 22 Mar 2012 13:52:09 -0400

bmf (0.9.4-6) unstable; urgency=low

  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): Update to debhelper 9, dpkg-dev 1.16.1.
    - (Standards-Version): Update to 3.9.2.
    - Tweak description to address lintian warning.
  * debian/copyright
    - (X-*): Add headers Vcs and Bugs.
  * debian/patches
    - (40): New. Fix for folded headers.
  * debian/rules
    - Remove unnecessary rules.
    - Use hardened CFLAGS (release goal).
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 13 Feb 2012 02:48:03 -0500

bmf (0.9.4-5) unstable; urgency=low

  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): debhelper 8. Use libdb5.1 (Closes: #621455).
    - (Standards-Version): Update to 3.9.1.
  * debian/copyright
    - Update to DEP5 format.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 09 Apr 2011 16:28:13 +0300

bmf (0.9.4-4) unstable; urgency=low

  * debian/patches
    - (10): Add new patch to update manual page's BUGS
      section to notify that only one bmf process can access the database
      at a time. Update also README location to absolute path.
      (Closes: #566265).

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 27 Jan 2010 14:07:54 +0200

bmf (0.9.4-3) unstable; urgency=low

  * debian/patches
    - (30): Add GNU hurd compile fix.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 16 Jan 2010 10:28:20 +0200

bmf (0.9.4-2) unstable; urgency=low

  * Move to format: 3.0 (quilt).
  * debian/{clean,upstream}
    - Move content from 'rules' for dh(1) to use.
  * debian/control
    - (Build-Depends): Add libdb-dev, move libdb4.7 to libdb4.8.
  * debian/copyright
    - Use FSF URL.
  * debian/debian-vars.mk
    - Delete; obsoleted by dh(1).
  * debian/patches
    - Convert *.dpatch to quilt format.
  * debian/rules
    - (build-stamp): Adjust make call to include CFLAGS and
      SYSLIBS for Berkeley DB (FTBFS ia64; Closes: #561172)
      <http://wiki.debian.org/ImplicitPointerConversions>.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 15 Dec 2009 11:41:47 +0200

bmf (0.9.4-1) unstable; urgency=low

  * Initial release (ITP; Closes: #435347).

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 04 Dec 2009 10:48:06 +0200
