=== debian/control ===
Source: bmf
Section: mail
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libdb-dev (>= 5.1),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: http://sourceforge.net/projects/bmf
Vcs-Git: https://salsa.debian.org/debian/bmf.git
Vcs-Browser: https://salsa.debian.org/debian/bmf

Package: bmf
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: e-mail filter for spam that learns
 A small, fast, flexible Bayesian filter for processing e-mail. It is
 "trained" by the user to categorize email as spam or non-spam. This
 implementation integrates well with existing tools such as procmail
 and mutt. It can use a variety of formats for storing data. A utility
 is supplied for converting data between the supported formats.
 .
 This package includes support for text and libdb formats.
 .
 See "A Plan for Spam" <https://www.paulgraham.com/spam.html> by Paul Graham
 for further information.
