=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = bmf

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all

export DEB_CFLAGS_MAINT_APPEND	= \
 -Wall -pedantic -DNDEBUG -D_UNIX -D_LINUX -Wall -DHAVE_LIBDB

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	./configure --with-package=libdb

override_dh_auto_build:
	$(MAKE) LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS) $(CPPFLAGS)" SYSLIBS=-ldb
