=== debian/watch ===
version=4
http://sf.net/bmf/bmf-(\d+\.\d+\.[\d.]+)\.tar\.gz
